Ubuntu Linux更新 缓解英特尔处理器MDS漏洞影响

by admin on 2020年3月1日

本周四,即将推出的 Ubuntu 19.04(Disco Dingo)操作系统已进入 Final
Freeze 冻结阶段这意味着除非遇到影响 ISO 镜像或安装程序的重大
bug,才会导致 Canonical 对其进行返工,候选发布(RC)也即将向公众开放。

近日,Canonical 针对所有受支持的 Ubuntu Linux 操作系统,发布了又一个
Intel 微代码固件更新,以缓解英特尔微架构数据采样安全漏洞的影响。5 月 14
日,英特尔公布了影响若干微处理器系列的四个新安全漏洞的详情。尽管该公司很快发布了更新后的微代码固件来缓解这些硬件缺陷,并进入了
Ubuntu 软件存储库,但初期仅支持部分处理器。

在 Ubuntu 18.10 版本发布一个多月后,Ubuntu 19.04 “Disco Dingo”
的开发正在全速前进中。

图片 1

图片 2

Ubuntu 19.04 的开发已经开始逐渐变得有条理,正在为半年后的 Ubuntu
安装过程带来新变化。此外,在过去的一周里,有几项开发变化/补充值得从其每周的开发总结中指出。

Adam Conrad 表示:“我们将在周五或周六晚些时候结束
cronjobs,并转向候选发布,预计正式版可于下周四(4 月 18
日)与大家见面。”

(题图 via Softpedia )

  • 通过 Update Manager 用户界面显示被挂起的内核实时补丁

  • Disco 存档中现在提供了各种 GNOME 包更新

  • Canonical 的 Daniel Van Vugt 继续为 GNOME Shell
    提供更好的性能,其中包括面向上游的工作。最近关于性能方面的工作包括已被上游采用的图标网格优化,以及一个自
    Ubuntu 18.04 依赖的回归错误,目前已经在 Ubuntu 19.04
    中被修复,并被反向移植到 Ubuntu 18.10。此外,还有一个关于 X.Org
    的延迟修复,目前已接近结束,将会改善 GNOME Shell
    的多显示器性能以及演示时序工作等问题。

  • 今年早些时候发布 Ubuntu 18.04 之后,Mark Shuttleworth
    谈到了做一个新的 Ubuntu 桌面安装程序以及使用 HTML5 和 Electron
    的可能性,同时还利用 Snaps 以及他们在服务器端使用 Curtin
    进行的安装程序工作。在 18.10
    周期期间没有看到相关内容,但看起来这些工作仍在继续,也许我们会看到这些功能将率先在
    Ubuntu 19.04 上出现。Ubuntu 开发者一直在努力对 Curtin
    进行一些更改以适应这个新的用例。

据悉,Ubuntu 19.04(Disco Dingo)引入了最新的 Linux 5.0
内核系列,且默认提供最新发布的 GNOME 3.32
桌面环境。此外,本次发布将带来其它组件和应用程序的更新:

上周, Intel -microcode 固件更新正式抵达 Ubuntu 存储库,以缓解使用 Intel
Cherry Trail 和 Intel Bay Trail 系列处理器的系统安全漏洞。

(文/开源中国)    

其中包括 LibreOffice 6.2.2 生产力套件、Mozilla Firefox 66.0
浏览器、GCC 8.3、Glibc 2.29、Python 3.7.2、Boost 1.67、rustc
1.31、libvvirt 5.0、Ruby 2.5.3、PHP 7.2.15、OpenJDK 11、QEMU 3.1、Perl
5.28.1、Golang 1.10.4 等。

现在,Canonical 面向所有受支持的 Ubuntu 操作系统发布了另一个更新,以修复
Intel Sandy Bridge 系列处理器的硬件缺陷。Canonical 在安全公告中称:

由于不是长期支持版本(LTS),Canonical 将只为 Ubuntu 19.04(Disco
Dingo)提供为期九个月的安全与软件更新支持(截止 2020 年 1 月)。

USN-3977-1 和 USN-3977-2 为 英特尔
微代码中的微架构数据采样漏洞提供了有针对性的缓解措施,此更新为英特尔
Sandy Bridge 系列处理器提供了相应的微代码更新。

来源:cnBeta

如果您的计算机正在运行如下版本的 Ubuntu
和英特尔处理器,还请立即部署本次更新:

运行 Ubuntu 19.04(Disco Dingo)、Ubuntu 18.10(Cosmic
Cuttlefish)、Ubuntu 18.04 LTS(Bionic Beaver)、Ubuntu 16.04
LTS(Xenial Xerus)、以及 Ubuntu 14.04 ESM(Trusty
Tahr)的用户,如果您的 Intel 处理器受到了影响,请立即将 intel-microcode
固件更新到 3.20190618.0 版本。

此外,请确保您还安装了适用于当前 Ubuntu Linux 发行版的最新 Linux
内核,以完全缓解新安全漏洞的影响。

【来源:cnBeta.COM】

相关文章

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图